Name:           catcodec
Version:        1.0.5
Release:        %mkrel 10
Summary:        Sample catalog decoder and encoder for OpenTTD
Group:          Development/Other
License:        GPLv2+
URL:            https://www.openttd.org/en/download-catcodec
Source0:        https://cdn.openttd.org/catcodec-releases/%{version}/%{name}-%{version}-source.tar.xz
Patch0:		catcodec-1.0.2-fix_linking_order.patch 

%description
catcodec decodes and encodes sample catalogs for OpenTTD. These sample
catalogs are not much more than some meta-data (description and file name)
and raw PCM data.

%prep
%setup -q
%autopatch -p0

%build
cat << EOF >> Makefile.local
CXXFLAGS=%{optflags}
LDFLAGS=%{ldflags}
prefix=%{_prefix}
DO_NOT_INSTALL_DOCS=1
DO_NOT_INSTALL_LICENSE=1
DO_NOT_INSTALL_CHANGELOG=1
EOF

%make_build

%install
%make_install

%files
%doc docs/readme.txt
%{_bindir}/*
%{_mandir}/man1/%{name}*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.5-10.mga10
+ Revision: 2195215
- Mageia 10 Mass Rebuild
+ danf <danf>
- Update source URL

* Mon Mar 14 2022 umeabot <umeabot> 1.0.5-9.mga9
+ Revision: 1791564
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 8.mga8-current
+ Revision: 1511198
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Sep 22 2018 umeabot <umeabot> 1.0.5-7.mga7
+ Revision: 1295995
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-6.mga6
+ Revision: 947062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-5.mga5
+ Revision: 741303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 678319
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.5-3.mga4
+ Revision: 503297
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 347433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 wally <wally> 1.0.5-1.mga3
+ Revision: 249281
- new version 1.0.5

* Fri Aug 05 2011 wally <wally> 1.0.4-1.mga2
+ Revision: 131919
- new version 1.0.4
- drop upstream applied patch (P1)

* Sun Jan 09 2011 wally <wally> 1.0.3-1.mga1
+ Revision: 1662
- imported package catcodec


* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 591508
- new version 1.0.3

* Thu Oct 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 587158
- new version 1.0.2
- add patch to fix linking order
- add patch to add support for Makefile.local
  - use Makefile.local to set build time options

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 573450
- new version 1.0.1
- use correct build flags
- fix install

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 534610
- import catcodec


